import 'package:flutter/material.dart';
import 'package:project_telephony/ui/home/content_page.dart';
import 'package:project_telephony/utils/headers.dart';

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  _HomePageState createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Column(
        children: [
          Container(
              //margin:EdgeInsets.symmetric(horizontal: 32.w,vertical: 16.w),
              child: Image.asset(
            Assets.images.homeBg.path,
          )),
          12.hb,
          _getBody(),
        ],
      ),
    );
  }

  _getBody() {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 32.w),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            "短信助手",
            style: TextStyle(
                fontSize: 64.sp,
                color: Colors.black,
                fontWeight: FontWeight.bold),
          ),
          32.hb,
          Text(
            "希望能成为您的短信小助手",
            style: TextStyle(fontSize: 32.sp, color: const Color(0xFF999999)),
          ),
          50.hb,
          _getContainer("接听后", "编辑接听后发送的短信内容", Assets.images.answer.path,
              const Color(0xFF74BCFF), const Color(0xFF1890FF)),
          30.hb,
          _getContainer("拒接/未接后", "编辑拒接/未接后发送的短信内容", Assets.images.refused.path,
              const Color(0xFF72E4C8), const Color(0xFF13CA9D))
        ],
      ),
    );
  }

  _getContainer(String title, String text, String image, Color cl1, Color cl2) {
    return GestureDetector(
      onTap: () {
        print(title);
        if (title == "接听后") {
          Get.to(() => const ContentPage());
          // print("接听");
        } else {
          print("未接听");
        }
      },
      child: Container(
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(16.w),
            gradient: LinearGradient(
                begin: Alignment.centerLeft,
                end: Alignment.centerRight,
                colors: [cl1, cl2])),
        child: Row(
          children: [
            Container(
              width: 532.w,
              padding: EdgeInsets.symmetric(horizontal: 32.w, vertical: 16.w),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(title,
                      style: TextStyle(
                          fontSize: 36.sp,
                          color: const Color(0xFFFFFFFF),
                          fontWeight: FontWeight.bold)),
                  24.hb,
                  Text(
                    text,
                    style: TextStyle(
                        fontSize: 28.sp,
                        color: const Color(0xFFFFFFFF).withOpacity(0.6)),
                  )
                ],
              ),
            ),
            45.wb,
            Image.asset(
              image,
              width: 108.w,
              height: 66.h,
            )
          ],
        ),
      ),
    );
  }
}
